Package org.eclipse.rdf4j.model.vocabulary

## Class RDFS

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.RDFS

-     public class RDFS
      extends Object

  Constants for the RDF Vocabulary Description Language 1.0: RDF Schema (RDFS)
  See Also:
    RDF Vocabulary Description Language 1.0: RDF Schema (RDFS)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CLASS` | http://www.w3.org/2000/01/rdf-schema#Class
    `static IRI` | `COMMENT` | http://www.w3.org/2000/01/rdf-schema#comment
    `static IRI` | `CONTAINER` | http://www.w3.org/2000/01/rdf-schema#Container
    `static IRI` | `CONTAINERMEMBERSHIPPROPERTY` | http://www.w3.org/2000/01/rdf-schema#ContainerMembershipProperty
    `static IRI` | `DATATYPE` | http://www.w3.org/2000/01/rdf-schema#Datatype
    `static IRI` | `DOMAIN` | http://www.w3.org/2000/01/rdf-schema#domain
    `static IRI` | `ISDEFINEDBY` | http://www.w3.org/2000/01/rdf-schema#isDefinedBy
    `static IRI` | `LABEL` | http://www.w3.org/2000/01/rdf-schema#label
    `static IRI` | `LITERAL` | http://www.w3.org/2000/01/rdf-schema#Literal
    `static IRI` | `MEMBER` | http://www.w3.org/2000/01/rdf-schema#member
    `static String` | `NAMESPACE` | The RDF Schema namepace: http://www.w3.org/2000/01/rdf-schema#
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the RDFS namespace.
    `static String` | `PREFIX` | Recommended prefix for the RDF Schema namespace: "rdfs"
    `static IRI` | `RANGE` | http://www.w3.org/2000/01/rdf-schema#range
    `static IRI` | `RESOURCE` | http://www.w3.org/2000/01/rdf-schema#Resource
    `static IRI` | `SEEALSO` | http://www.w3.org/2000/01/rdf-schema#seeAlso
    `static IRI` | `SUBCLASSOF` | http://www.w3.org/2000/01/rdf-schema#subClassOf
    `static IRI` | `SUBPROPERTYOF` | http://www.w3.org/2000/01/rdf-schema#subPropertyOf

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFS()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The RDF Schema namepace: http://www.w3.org/2000/01/rdf-schema#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the RDF Schema namespace: "rdfs"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the RDFS namespace.

    - #### RESOURCE

          public static final IRI RESOURCE

      http://www.w3.org/2000/01/rdf-schema#Resource

    - #### LITERAL

          public static final IRI LITERAL

      http://www.w3.org/2000/01/rdf-schema#Literal

    - #### CLASS

          public static final IRI CLASS

      http://www.w3.org/2000/01/rdf-schema#Class

    - #### SUBCLASSOF

          public static final IRI SUBCLASSOF

      http://www.w3.org/2000/01/rdf-schema#subClassOf

    - #### SUBPROPERTYOF

          public static final IRI SUBPROPERTYOF

      http://www.w3.org/2000/01/rdf-schema#subPropertyOf

    - #### DOMAIN

          public static final IRI DOMAIN

      http://www.w3.org/2000/01/rdf-schema#domain

    - #### RANGE

          public static final IRI RANGE

      http://www.w3.org/2000/01/rdf-schema#range

    - #### COMMENT

          public static final IRI COMMENT

      http://www.w3.org/2000/01/rdf-schema#comment

    - #### LABEL

          public static final IRI LABEL

      http://www.w3.org/2000/01/rdf-schema#label

    - #### DATATYPE

          public static final IRI DATATYPE

      http://www.w3.org/2000/01/rdf-schema#Datatype

    - #### CONTAINER

          public static final IRI CONTAINER

      http://www.w3.org/2000/01/rdf-schema#Container

    - #### MEMBER

          public static final IRI MEMBER

      http://www.w3.org/2000/01/rdf-schema#member

    - #### ISDEFINEDBY

          public static final IRI ISDEFINEDBY

      http://www.w3.org/2000/01/rdf-schema#isDefinedBy

    - #### SEEALSO

          public static final IRI SEEALSO

      http://www.w3.org/2000/01/rdf-schema#seeAlso

    - #### CONTAINERMEMBERSHIPPROPERTY

          public static final IRI CONTAINERMEMBERSHIPPROPERTY

      http://www.w3.org/2000/01/rdf-schema#ContainerMembershipProperty

  - ### Constructor Detail

    - #### RDFS

          public RDFS()